/**
 *    Free Tide Mini is a free harmonic tide predictor
 *    Copyright (C) 2008  Regis COSNIER
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package freetide.data;

/**
 *
 * @author Dgis
 */
public class Constituents
{
	private int numConstituent; //num_csts
	private Constituent[] constituents;
	private int firstYear = 1970;
	private int numEpochs = 68; // num_nodes // num_epochs

	public Constituent[] getConstituents() { return constituents; }
	public void setConstituents(Constituent[] constituents)
	{
		this.constituents = constituents;
		numConstituent = constituents.length;
		if(numConstituent > 0)
			this.numEpochs = constituents[0].epochs.length;
	}
	public int getNumConstituent() { return numConstituent; }
	public int getFirstYear() { return firstYear; }
	public void setFirstYear(int firstYear) { this.firstYear = firstYear; }
	public int getNumEpochs() { return numEpochs; }
	//public void setNumEpochs(int numEpochs) { this.numEpochs = numEpochs; }
}
